
@import 'reset.scss';
@import "env.scss";
@import 'fonts.scss';
@import "variablesGlobal.scss";

ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

// FLOW INTO
#content .page {
  flow-into: flow-page;
  width:$page-width;
  height:$page-height;
}
#content .title {
  flow-into: flow-title;
}
#content .contents{
  flow-into: flow-contents;
}
#content .image{
  flow-into: flow-image;
}
#content .footer {
  flow-into: flow-footer;
}
.page{
}
.contents{
   background:blue;
  font-size: $u/2;
  font-family:$fontterm;
 line-height:  $u/2;
}
.title{
  float:right;
  background:grey;
  font-size: $u*4.1;
  font-family:$fontterm;
  line-height:  $u*2.3;
  p{
    font-weight: lighter;
    font-style: italic;
    color:pink;
  }
}
.page-inside{

#grids{
      display: none;
       z-index: 1;
       position: absolute;
      .fondsPerdus{
        position: absolute;
        outline: 1px solid greenyellow;
        width: $page-width + 10;
        height: $page-height + 10;
        margin-left: -5mm;
        margin-top: -5mm;
      }
      .grid{
        display: flex;
        position: absolute;
        width: $page-width;
        height: $page-height;
      }
      .gridCol{
        z-index: 1;
        position: absolute;
        // display: none;
        flex-direction: row;
        .column{
          border-right: 1px solid red;
          width: $page-width;
          height: $page-height;
        }
      }
      .gridRow{
        z-index: 1;
        position: absolute;
        // display: none;
        flex-direction: column;
        .row{
          border-bottom: 1px solid red;
          width: $page-width;
          height: $page-height;
        }
      }
    }
    #grids-pli{
          display: none;
           z-index: 10000;
           position: absolute;
          .fondsPerdus{
            position: absolute;
            outline: 1px solid greenyellow;
            width: $page-width + 10;
            height: $page-height + 10;
            margin-left: -5mm;
            margin-top: -5mm;
          }
          .grid{
            display: flex;
            position: absolute;
            width: $page-width;
            height: $page-height;
          }
          .gridCol{
            z-index: 10000;
            position: absolute;
            // display: none;
            flex-direction: row;
            .column{
              border-right: 3px solid black;
              width: $page-width;
              height: $page-height;
            }
          }
          .gridRow{
            z-index: 10000;
            position: absolute;
            // display: none;
            flex-direction: column;
            .row{
              border-bottom: 3px solid black;
              width: $page-width;
              height: $page-height;
            }
          }
        }
  }
.flow-title{
  flow-from: flow-title;
}
.flow-contents{
  flow-from: flow-contents;
}
.flow-image{
  position: absolute;
  flow-from: flow-image;
  top: $page-height/2.5;
  left: $page-width/3;
}
.flow-footer{
  position: absolute;
  flow-from: flow-footer;
  width: $page-width;
  bottom: $u;
}
.footer{
}
